com.holonplatform.jaxrs.server

## Interface JaxrsHttpRequest

- All Superinterfaces:
    com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<String>, com.holonplatform.http.HttpRequest, com.holonplatform.core.messaging.Message<String,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>
  All Known Implementing Classes:
    DefaultJaxrsHttpRequest

      public interface JaxrsHttpRequest
      extends com.holonplatform.http.HttpRequest

  A `HttpRequest` backed by a JAX-RS context request.
  Since:
    5.0.5

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JaxrsHttpRequest` | `create(javax.ws.rs.core.Request request, javax.ws.rs.core.UriInfo uriInfo, javax.ws.rs.core.HttpHeaders headers)` Create a `JaxrsHttpRequest` using JAX-RS request information to obtain the concrete request attributes and configuration.
    `static JaxrsHttpRequest` | `create(javax.ws.rs.core.UriInfo uriInfo, javax.ws.rs.core.HttpHeaders headers)` Create a `JaxrsHttpRequest` using JAX-RS request information to obtain the concrete request attributes and configuration.
    `String` | `getRequestURI()` Get the absolute request URI including any query parameters.

    - ### Methods inherited from interface com.holonplatform.http.HttpRequest

      `getBody, getMethod, getMultiValueRequestParameter, getRequestCookie, getRequestHost, getRequestParameter, getRequestParameters, getRequestPath`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader, getHeaders`

- - ### Method Detail

    - #### getRequestURI

          String getRequestURI()

      Get the absolute request URI including any query parameters.
      Returns:
        the absolute request URI

    - #### create

          static JaxrsHttpRequest create(javax.ws.rs.core.Request request,
                                         javax.ws.rs.core.UriInfo uriInfo,
                                         javax.ws.rs.core.HttpHeaders headers)

      Create a `JaxrsHttpRequest` using JAX-RS request information to obtain the concrete request attributes and configuration.
      Parameters:
        `request` - JAX-RS `Request` for request processing information
        `uriInfo` - JAX-RS `UriInfo` for request URI information (not null)
        `headers` - JAX-RS `HttpHeaders` for request headers information (not null)
      Returns:
        A new `JaxrsHttpRequest`

    - #### create

          static JaxrsHttpRequest create(javax.ws.rs.core.UriInfo uriInfo,
                                         javax.ws.rs.core.HttpHeaders headers)

      Create a `JaxrsHttpRequest` using JAX-RS request information to obtain the concrete request attributes and configuration.

      This method don't requires the `Request` object, but the request method, obtained from `HttpRequest.getMethod()` will not be available.

      Parameters:
        `uriInfo` - JAX-RS `UriInfo` for request URI information (not null)
        `headers` - JAX-RS `HttpHeaders` for request headers information (not null)
      Returns:
        A new `JaxrsHttpRequest`
      See Also:
        `create(Request, UriInfo, HttpHeaders)`

Copyright © 2019 The Holon Platform. All rights reserved.